POST MemberDetail/api/history/get?entityId={entityId}&pageOffset={pageOffset}&pageSize={pageSize}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| entityId | integer |
Required |
|
| pageOffset | integer |
Default value is 0 |
|
| pageSize | integer |
Default value is 0 |
Body Parameters
HistorySearch| Name | Description | Type | Additional information |
|---|---|---|---|
| ActivityID | integer |
None. |
|
| EntityTypeID | integer |
None. |
|
| MemberContactID | integer |
None. |
|
| MethodID | Collection of string |
None. |
|
| AddedByID | string |
None. |
|
| AddedForID | string |
None. |
|
| SearchText | string |
None. |
|
| StartDate | string |
None. |
|
| EndDate | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"ActivityID": 1,
"EntityTypeID": 2,
"MemberContactID": 3,
"MethodID": [
"sample string 1",
"sample string 2"
],
"AddedByID": "sample string 4",
"AddedForID": "sample string 5",
"SearchText": "sample string 6",
"StartDate": "sample string 7",
"EndDate": "sample string 8"
}
application/xml, text/xml
Sample:
<HistorySearch xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TAG.Api.Models">
<ActivityID>1</ActivityID>
<AddedByID>sample string 4</AddedByID>
<AddedForID>sample string 5</AddedForID>
<EndDate>sample string 8</EndDate>
<EntityTypeID>2</EntityTypeID>
<MemberContactID>3</MemberContactID>
<MethodID xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</MethodID>
<SearchText>sample string 6</SearchText>
<StartDate>sample string 7</StartDate>
</HistorySearch>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |